Fraud LensFraud HistoryGet a fraud scan GET
GET
/api/v1/fraud/scan-history/{scan_id}/

Retrieve detailed information for a specific fraud scan including S3 URLs to full JSON data.

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Path Parameters

scan_id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/fraud/scan-history/string/"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "scan_id": "string",    "scan_type": "face_scan",    "source": "portal",    "organisation_name": "string",    "id_type": "string",    "id_number": "string",    "search_mode": "string",    "request_data": "string",    "response_data": "string",    "risk_level": "LOW",    "risk_score": "string",    "is_in_fraud_bank": true,    "total_reports_found": -2147483648,    "verified_reports_found": -2147483648,    "image_provided": true,    "face_matches_count": -2147483648,    "scan_summary": "string",    "processing_time_ms": -2147483648,    "initiated_by": "string",    "ip_address": "string",    "user_agent": "string",    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  },  "status": true,  "message": "Request successful.",  "errors": {},  "meta": {    "timestamp": "2019-08-24T14:15:22Z",    "version": "v1",    "request_id": "string"  },  "pagination": {    "page": 0,    "page_size": 0,    "total_pages": 0,    "total_items": 0  }}
Response Codes & Statuses: Prembly API responses include custom response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).
View Response Codes Guide
Prembly Slack Community

Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.

Join Slack Channel